Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class ExprStmt

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt

All Implemented Interfaces:
  ITypeReplacementListener

Direct Known Subclasses:
  Expr

    public abstract class ExprStmt

extends Statement
implements ITypeReplacementListener

Field Summary
`protected Type` | `type`

Constructor Summary
`ExprStmt()`

Method Summary
`Type` | `getType()`
`int` | `getTypeLineNumber()` Author: J�rg B�uerle
`java.lang.String` | `getTypeName()`
`void` | `replaceType(CReplaceTypeEvent e)` Tauscht einen Typ gegen einen anderen aus.
`void` | `setType(Type t)` Author: J�rg B�uerle

Methods inherited from class mycompiler.mystatement.Statement
`codegen, TRStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected Type type

Constructor Detail

### ExprStmt

    public ExprStmt()

Method Detail

### getTypeName

    public java.lang.String getTypeName()

### getType

    public Type getType()

### setType

    public void setType(Type t)

  Author: J�rg B�uerle

  Parameters:
    `t` -

### replaceType

    public void replaceType(CReplaceTypeEvent e)

  Description copied from interface: `ITypeReplacementListener`
  Tauscht einen Typ gegen einen anderen aus.
  Author: J�rg B�uerle

  Specified by:
    `replaceType` in interface `ITypeReplacementListener`
  Parameters:
    `e` - Das Event mit dem neuen Typ

### getTypeLineNumber

    public int getTypeLineNumber()

  Author: J�rg B�uerle

  Specified by:
    `getTypeLineNumber` in interface `ITypeReplacementListener`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD